tbb::internal::parallel_invoke_cleaner Class Reference

`#include <parallel_invoke.h>`

Inheritance diagram for tbb::internal::parallel_invoke_cleaner:
Collaboration diagram for tbb::internal::parallel_invoke_cleaner:

## Public Member Functions

| parallel_invoke_cleaner (int number_of_children, tbb::task_group_context &context)
| ~parallel_invoke_cleaner ()

## Public Attributes

internal::parallel_invoke_helper & | root

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_copy
| no_copy (const no_copy &)=delete
| no_copy ()=default

## Detailed Description

Definition at line 172 of file parallel_invoke.h.

## Constructor & Destructor Documentation

## parallel_invoke_cleaner()

tbb::internal::parallel_invoke_cleaner::parallel_invoke_cleaner | ( | int | number_of_children,
|  | tbb::task_group_context & | context
| ) |  |

inline

Definition at line 175 of file parallel_invoke.h.

: root(*new(task::allocate_root(context)) internal::parallel_invoke_helper(number_of_children))
#else
parallel_invoke_cleaner(int number_of_children, tbb::task_group_context&)
: root(*new(task::allocate_root()) internal::parallel_invoke_helper(number_of_children))
#endif /* !__TBB_TASK_GROUP_CONTEXT */
{}

## ~parallel_invoke_cleaner()

tbb::internal::parallel_invoke_cleaner::~parallel_invoke_cleaner | ( |  | ) |

inline

Definition at line 183 of file parallel_invoke.h.

{
root.destroy(root);
}

References root.

## Member Data Documentation

## root

internal::parallel_invoke_helper& tbb::internal::parallel_invoke_cleaner::root

Definition at line 186 of file parallel_invoke.h.

Referenced by tbb::parallel_invoke(), and ~parallel_invoke_cleaner().

The documentation for this class was generated from the following file:

- parallel_invoke.h

internal
Definition: _flow_graph_async_msg_impl.h:24
tbb::task_group_context
Used to form groups of tasks.
Definition: task.h:347
tbb::internal::parallel_invoke_cleaner::root
internal::parallel_invoke_helper & root
Definition: parallel_invoke.h:186
tbb::internal::parallel_invoke_cleaner::parallel_invoke_cleaner
parallel_invoke_cleaner(int number_of_children, tbb::task_group_context &context)
Definition: parallel_invoke.h:175
task
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task * task
Definition: ittnotify_static.h:119
tbb::task::allocate_root
static internal::allocate_root_proxy allocate_root()
Returns proxy for overloaded new that allocates a root task.
Definition: task.h:652

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.